# Restore Default Data Sources Creates a default Data Source (Product, Customer, Unit of Measures, Currencies, or Calendar). Use this endpoint if default Data Sources have not been created when setting up the partition. >Note: When no path parameter is passed, all default Data Sources are dropped and recreated - any data will be lost. >Othwerise, only the Data Source indicated by the path param is dropped and recreated. Endpoint: POST /datamart.restoredefaultds/{dataSourceName} Security: basic, X-PriceFx-jwt ## Path parameters: - `dataSourceName` (string, required) The name of the Data Source you want to create. Enum: "Product", "Customer", "uom", "ccy", "cal" ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.0` (array) - `response.data.0.version` (number) - `response.data.0.typedId` (string) - `response.data.0.uniqueName` (string) - `response.data.0.label` (string) - `response.data.0.sourceFile` (any) - `response.data.0.keyFields` (array) - `response.data.0.formulaName` (any) - `response.data.0.messages` (any) - `response.data.0.reservedWords` (any) - `response.data.0.rowCount` (any) - `response.data.0.lastUpdateByName` (string) - `response.data.0.sourceTypeCode` (string) - `response.data.0.sourceId` (any) - `response.data.0.sourceLabel` (string) - `response.data.0.fetchVerb` (string) - `response.data.0.integrateVerb` (string) - `response.data.0.bulkloadVerb` (string) - `response.data.0.truncateVerb` (string) - `response.data.0.identikitCriteria` (any) - `response.data.0.sourceName` (string) - `response.data.0.queryable` (boolean) - `response.data.0.identikitFilter` (any) - `response.data.0.type` (string) - `response.data.0.valid` (boolean) - `response.data.0.status` (any) - `response.data.0.fieldNames` (array) - `response.data.0.targetDate` (any) - `response.data.0.auxiliary` (boolean) - `response.data.0.deployed` (boolean) - `response.data.0.view` (boolean) - `response.data.0.dbTable` (string) - `response.data.0.dbKey` (string) - `response.data.0.dbView` (any) - `response.data.0.keyFieldNames` (array) - `response.data.0.loadableFields` (array) - `response.data.0.calculationMessages` (any) - `response.data.0.locked` (boolean) - `response.data.0.createDate` (string) - `response.data.0.createdBy` (number) - `response.data.0.lastUpdateDate` (string) - `response.data.0.lastUpdateBy` (number) - `response.data.0.query` (any) - `response.data.0.lastDataModificationDate` (any) - `response.data.0.persistedObjectClass` (string) - `response.data.0.warningsOn` (boolean) - `response.data.0.isPlasma` (boolean) - `response.data.0.typeCode` (string, required) - `response.data.0.calculationDate` (any) - `response.data.0.calculationStartDate` (any)